<div class="header">

    <div class="left">
        <button mat-icon-button [routerLink]="['home']">
            <mat-icon>home</mat-icon>
        </button>
    </div>

    <div>Welcome to the urban gardener</div>

    <div class="right">

        <label *ngIf="userLoggedIn()">
            {{username()}}
        </label>

        <button mat-icon-button [matMenuTriggerFor]="userMenu">
            <mat-icon>account_circle</mat-icon>
        </button>
        <mat-menu #userMenu="matMenu">
            <!-- <button mat-menu-item>Profile</button> -->
            <button *ngIf="userIsAdmin()" mat-menu-item [routerLink]="['/growing-conditions']">Growing configurations</button>
            <button *ngIf="userIsRegularUser()" mat-menu-item [routerLink]="['/my-environments']">My Environments</button>
            <button *ngIf="userIsRegularUser()"  mat-menu-item [routerLink]="['/my-devices']">My Devices</button>
            <button *ngIf="userLoggedIn()" mat-menu-item  (click)="logout()" >
                Logout
            </button>
        </mat-menu>

       
        <button mat-button [routerLink]="['/login']" *ngIf="!userLoggedIn()">
            Login
        </button>
       
    </div>

</div>